package me.Demon.DemonPay;

import me.Demon.DemonPay.util.database.SqlManager;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import java.util.Date;

public class PLimitData {

    private final Player p;

    private int limit;

    private String updata_time;

    public PLimitData(Player p){
        this.p = p;
        SqlManager sqlManager = Main.plugin.getSqlManager();
        String playerData = sqlManager.getPlayerData(p.getName());
        if(playerData == null){
            sqlManager.createPlayerTableData(p);
            playerData = sqlManager.getPlayerData(p.getName());
        }
        // 获取数据库中上次数据刷新时间
        String Todaytime = playerData.split("#")[1];
        Date date = new Date();
        // 获取今天是几月几号  时间是否与数据库数据匹配
        String time = date.getMonth()+"."+date.getDate();
        if(Todaytime.equalsIgnoreCase(time)) {
            this.limit = Integer.parseInt(playerData.split("#")[0]);
            this.updata_time = playerData.split("#")[1];
        }else{
            this.updata_time = time;
            this.limit = 200;
            if(p.hasPermission("vip1.use")){
                this.limit = 800;
            }else if(p.hasPermission("yuanzu.use")){
                this.limit = 600;
            }else if(p.hasPermission("lianjinshi.use")){
                this.limit = 400;
            }
            Bukkit.getConsoleSender().sendMessage("§d[点券限额] §f玩家"+p.getName()+"的每日额度已刷新.");
            Main.plugin.getSqlManager().SaverPlayerData(p);
        }
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    public String getUpdata_time() {
        return updata_time;
    }
}
