package me.Demon.DemonPay.command;

import cn.hamster3.cdapi.CDTimeAPI;
import me.Demon.DemonPay.Main;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class MpayCommand implements CommandExecutor {

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        String prefix = Main.prefix;
        Player p = (Player) sender;
        if (!p.hasPermission("demonpay.money")) {
            sender.sendMessage(prefix + "你需要成为 §2【领域农民】 §f才能使用此命令.");
            return true;
        }
        if (args.length == 2) {
            if (!Main.isInt(args[1])) {
                sender.sendMessage(prefix + "正确用法: §a/pay [玩家ID] [金额]");
                return true;
            }
            Player otherPlayer = Bukkit.getPlayer(args[0]);
            if (otherPlayer == null) {
                sender.sendMessage(prefix + "目标玩家不在线");
                return true;
            }
            if (p.getName().equalsIgnoreCase(otherPlayer.getName())) {
                sender.sendMessage(prefix + "无法向自己发起转账");
                return true;
            }
            if (CDTimeAPI.getCD(p.getUniqueId(), "PayCD") > 0) {
                sender.sendMessage(prefix + "支付系统正在冷却...");
                return true;
            }
            int money = Integer.parseInt(args[1]);
            if (money < 100) {
                sender.sendMessage(prefix + "支付金额必须大于§6 $100.0");
                return true;
            }
            if (DemonAPI.hasMoney(p, money)) {
                DemonAPI.takeMoney(p, money);
                DemonAPI.giveMoney(otherPlayer, money);
                CDTimeAPI.setPlayerCD(p.getUniqueId(), "PayCD", 1000 * 10);
                sender.sendMessage(prefix + "你向 §a" + otherPlayer.getName() + " §f支付了 §a" + money + " §f金币");
                otherPlayer.sendMessage(prefix + "你从 §a" + sender.getName() + " §f收到了 §a" + money + " §f金币");
            } else {
                sender.sendMessage(prefix + "没有足够的钱!");
            }
        } else {
            sender.sendMessage(prefix + "正确用法: §a/pay [玩家ID] [金额]");
        }
        return false;
    }
}
