package me.Demon.DemonPay;

import me.Demon.DemonPay.command.DpayCommand;
import me.Demon.DemonPay.command.MpayCommand;
import me.Demon.DemonPay.util.SqlUtil;
import me.Demon.DemonPay.util.database.SqlManager;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.Bukkit;
import org.bukkit.OfflinePlayer;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.HashMap;

public class Main extends JavaPlugin {

    public static Main plugin;
    public static String prefix = "§7[§6货币贸易§7] §f";
    public static HashMap<Player, PLimitData> dataAPI = new HashMap<>();
    private SqlUtil sqlUtil;
    private SqlManager sqlManager;

    public SqlUtil getSqlUtil() {
        return sqlUtil;
    }

    public SqlManager getSqlManager() {
        return sqlManager;
    }

    public void onEnable() {
        plugin = this;
        getCommand("dpay").setExecutor(new DpayCommand());
        getCommand("pay").setExecutor(new MpayCommand());
        Bukkit.getConsoleSender().sendMessage("§b[DemonPay] §a插件成功载入Sever！");
        Bukkit.getConsoleSender().sendMessage("§b[DemonPay] §a作者QQ:1763917516");
        // 数据库配置
//        sqlManager = new SqlManager(this);
//        String SQL_Host = DemonMySql.SQL_Host;
//        String SQL_Port = DemonMySql.SQL_Port;
//        String SQL_Database = DemonMySql.SQL_Database;
//        String SQL_Users = DemonMySql.SQL_Users;
//        String SQL_Password = DemonMySql.SQL_Password;
//        sqlUtil = new SqlUtil(this, SQL_Host, SQL_Port, SQL_Database, SQL_Users, SQL_Password);
//        sqlManager.createTable();
    }

    public void onDisable() {
        Bukkit.getConsoleSender().sendMessage("§b[DemonPay] §c插件成功卸载！");
    }

    public boolean onCommand(CommandSender sender, Command cmd, String CommandLabel, String[] args) {
        if ((CommandLabel.equalsIgnoreCase("eco")) && (sender.isOp())) {
            if (args.length == 0) {
                sender.sendMessage("======== " + prefix + "========");
                sender.sendMessage("§7/eco look <name> §6: 查询某玩家的金币");
                sender.sendMessage("§7/eco give <name> [money] §6: 给予某玩家金币");
                sender.sendMessage("§7/eco giveall [money] §6: 给予在线玩家金币");
                sender.sendMessage("§7/eco take <name> [money] §6: 扣除某玩家的金币");
                sender.sendMessage("§7/eco set <name> [money] §6: 设置某玩家的金币");
                sender.sendMessage("§7/eco reset <name> §c: 重置某玩家的金币为0");
                return true;
            }
            if (args.length == 2) {
                if (args[0].equalsIgnoreCase("reset")) {
                    OfflinePlayer player = Bukkit.getOfflinePlayer(args[1]);
                    DemonAPI.takeMoney(player, DemonAPI.seeMoney(player));
                    sender.sendMessage(prefix + "成功清空玩家§a" + player.getName() + "§f的金币.");
                }
            }
            if (args.length == 2) {
                if (args[0].equalsIgnoreCase("look")) {
                    OfflinePlayer player = Bukkit.getOfflinePlayer(args[1]);
                    sender.sendMessage(prefix + "玩家 §a" + player.getName() + " §f有 §a" + DemonAPI.seeMoney(player) + " §f金币");
                }
                if (args[0].equalsIgnoreCase("giveall")) {
                    int money = Integer.parseInt(args[1]);
                    int amount = 0;
                    for (Player allp : Bukkit.getOnlinePlayers()) {
                        allp.sendMessage(prefix + "你从 §c管理员 §f那收到了 §e" + money + " §f金币");
                        DemonAPI.giveMoney(allp, money);
                        amount++;
                    }
                    sender.sendMessage(prefix + "成功给在线 §a" + amount + " §f名玩家发放金币  总计: §e" + (money * amount) + " §f金币");
                }
            }
            if (args.length == 3) {
                if (args[0].equalsIgnoreCase("give")) {
                    OfflinePlayer player = Bukkit.getOfflinePlayer(args[1]);
                    int money = Integer.parseInt(args[2]);
                    if (money >= 1) {
                        DemonAPI.giveMoney(player, money);
                        sender.sendMessage(prefix + "玩家 §a" + player.getName() + " §f有 §a" + DemonAPI.seeMoney(player) + " §f金币");
                    }
                }
                if (args[0].equalsIgnoreCase("take")) {

                    OfflinePlayer player = Bukkit.getOfflinePlayer(args[1]);
                    int money = Integer.parseInt(args[2]);
                    if (money >= 1) {
                        if (DemonAPI.hasMoney(player, money)) {
                            DemonAPI.takeMoney(player, money);
                            sender.sendMessage(prefix + "玩家 §a" + player.getName() + " §f有 §a" + DemonAPI.seeMoney(player) + " §f金币");
                        } else {
                            sender.sendMessage(prefix + "没有足够的金币用于扣除.");
                        }
                    }
                }
                if (args[0].equalsIgnoreCase("set")) {
                    OfflinePlayer player = Bukkit.getOfflinePlayer(args[1]);
                    //获取玩家要设置的金额数
                    int money = Integer.parseInt(args[2]);
                    //判断玩家余额是否大于Money
                    if (DemonAPI.seeMoney(player) >= money) {
                        //获取玩家余额
                        int Y = (int) DemonAPI.seeMoney(player);
                        // Y = 50000
                        // X = 80000
                        //我想得出 Z = 30000
                        //也就是 X - Y = Z
                        int Z = money - Y;
                        DemonAPI.giveMoney(player, Z);
                        sender.sendMessage(prefix + "玩家 §a" + player.getName() + " §f有 §a" + DemonAPI.seeMoney(player) + " §f金币");
                    } else {
                        //获取玩家余额
                        int Y = (int) DemonAPI.seeMoney(player);
                        // Y = 50000
                        // X = 1000
                        //我想得出 Z = 49000
                        //也就是 Y - (Y-X) = Z
                        int Z = Y - (Y - money);
                        DemonAPI.takeMoney(player, (Y - Z));
                        sender.sendMessage(prefix + "玩家 §a" + player.getName() + " §f有 §a" + DemonAPI.seeMoney(player) + " §f金币");
                    }
                }
            }
        }
        return true;
    }

    public static boolean isInt(String s) {
        try {
            Integer.parseInt(s);
        } catch (NumberFormatException nfe) {
            return false;
        }
        return true;
    }
}
